summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-splash
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2009-05-13 10:10:30 +0000
committerJo-Philipp Wich <jow@openwrt.org>2009-05-13 10:10:30 +0000
commit750a6910ed31451b88f8958c3982113d22c9de79 (patch)
treee5b0ee3e439290ced2d29e50c7a9361380697d11 /applications/luci-splash
parent81a3c7b2d2c5260eebf386585cde2281553b6ba4 (diff)
applications/luci-splash: fix crontab setup at boot time
Diffstat (limited to 'applications/luci-splash')
-rwxr-xr-xapplications/luci-splash/root/etc/init.d/luci_splash5
1 files changed, 3 insertions, 2 deletions
diff --git a/applications/luci-splash/root/etc/init.d/luci_splash b/applications/luci-splash/root/etc/init.d/luci_splash
index ad47a2590..b6eaf325a 100755
--- a/applications/luci-splash/root/etc/init.d/luci_splash
+++ b/applications/luci-splash/root/etc/init.d/luci_splash
@@ -78,8 +78,9 @@ start() {
iptables -t nat -A luci_splash_leases -j DROP
### Add crontab entry
- grep luci-splash /var/spool/cron/crontabs/root >/dev/null 2>&1 || {
- echo '*/5 * * * * /usr/sbin/luci-splash sync' >> /var/spool/cron/crontabs/root
+ test -f /etc/crontabs/root || touch /etc/crontabs/root
+ grep -q luci-splash /etc/crontabs/root || {
+ echo '*/5 * * * * /usr/sbin/luci-splash sync' >> /etc/crontabs/root
}
### Start the splash httpd